using System.Collections.Generic;
using System.Threading.Tasks;

namespace eSuite.WorkBench.Services
{
    public interface IDbService
    {
        Task DropDatabaseAsync();
        Task BackupDatabaseAsync();
        IEnumerable<string> BackupsList();
        Task RestoreDatabaseAsync(string backupName);
    }
}